#!/bin/ksh

a=`dirname $0`
. $a/setenv.sh

ADMINNODENAME=$1
DRIVERNODENAME=$ADMINNODENAME
DRIVERINSTANCENAME=$2
DRIVERDATABASEUSER=$3
DRIVERDATABASEPASSWORD=$4
DRIVERDATABASETYPE=$5
DRIVERDATASOURCENAME="WebSphere Commerce $DRIVERDATABASETYPE DataSource $DRIVERINSTANCENAME"

rm -fR $WCS_HOME/temp/beverageEJB.ear
mkdir $WCS_HOME/temp/beverageEJB.ear
cd $WCS_HOME/temp/beverageEJB.ear
$WAS_HOME/java/bin/jar -xf ../../beverageEJB.$DRIVERDATABASETYPE.ear
$WAS_HOME/bin/ejbdeploy.sh beverageEJB.jar .. beverageEJB-deployed.jar > $WCS_HOME/logs/profileSampleDeploy.log 2>&1
rm beverageEJB.jar
mv beverageEJB-deployed.jar beverageEJB.jar
$WAS_HOME/java/bin/jar -cf ../../beverageEJB.ear *

cd ../../xml
$WAS_HOME/bin/XMLConfig.sh -import BeverageDeploy.xml -adminNodeName $ADMINNODENAME -substitute "DRIVER_NODE_NAME=$DRIVERNODENAME;WAS_INSTALL_DIR=$WAS_HOME;WCS_INSTALL_DIR=$WCS_HOME;DRIVER_INSTANCE_NAME=$DRIVERINSTANCENAME;DRIVER_DATASOURCE_NAME=$DRIVERDATASOURCENAME;DRIVER_DATABASE_USER=$DRIVERDATABASEUSER;DRIVER_DATABASE_PASSWORD=$DRIVERDATABASEPASSWORD"  >> $WCS_HOME/logs/profileSampleDeploy.log 2>&1
